PINENTRY-DMENU(1)

NAME
pinentry-dmenu - a pinentry program with the charm of dmenu

DESCRIPTION
pinentry-dmenu is a dmenu- and pinentry-based passphrase dialog called from the gpg-agent(1) daemon. It is not intended to be invoked directly.

SYNOPSIS
Set the pinentry-program in ~/.gnupg/gpg-agent.conf to pinentry-dmenu to use the program as the regular dialog for gpg-agent.

The configuration is placed in ~/.gnupg/pinentry-dmenu.conf. You can change the path to the config file with the environment variable GNUPGHOME.

OPTIONS

asterisk = *
    Defines the symbol which is showed for each typed character.

bottom = false
    pinentry-dmenu appears at the bottom of the screen.

min_password_length = 32
    The minimal space of the password field. This value has affect to the description field after the password field.

monitor = -1
    pinentry-dmenu is displayed on the monitor number supplied. Monitor numbers are starting from 0.

prompt = ""
    Defines the prompt to be displayed to the left of the input field.

font = monospace:size=10
    Defines the font or font set used.

prompt_bg = #bbbbbb
    Defines the prompt background color. #RGB, #RRGGBB and X color names are supported.

prompt_fg = #222222
    Defines the prompt foreground color.

normal_bg = #bbbbbb
    Defines the normal background color.

normal_fg = #222222
    Defines the normal foreground color.

select_bg = #eeeeee
    Defines the selected background color.

select_fg = #005577
    Defines the selected foreground color.

desc_bg = #bbbbbb
    Defines the description background color.

desc_fg = #222222
    Defines the description foreground color.

embedded = false
    Embed into window.

USAGE
pinentry-dmenu is completely controlled by the keyboard.

Return
    Confirm input

Ctrl-Return
    Confirm input

Shift-Return
    Confirm input

Escape
    Cancel input

C-c Escape

  Confirm Mode

Down
    Right

End Right

Home
    Left

Next
    Right

Prior
    Left

Up  Left

g   Cancel input

G   Cancel input

h   Left

j   Left

k   Right

l   Right

n   Confirm with no

N   Confirm with no

y   Confirm with yes

Y   Confirm with yes

  Pin Mode

End Move cursor to the line end

Home
    Move cursor to the line begin

C-a Home

C-b Left

C-d Delete

C-e End

C-f Right

C-g Escape

C-h Backspace

C-k Delete line right

C-u Delete line left

C-v Paste from primary X selection

EXAMPLES

    asterisk= "# ";
    prompt = "$";
    font = "Noto Sans UI:size=13";
    prompt_fg = "#eeeeee";
    prompt_bg = "#d9904a";
    normal_fg = "#ffffff";
    normal_bg = "#000000";
    select_fg = "#eeeeee";
    select_bg = "#d9904a";
    desc_fg = "#eeeeee";
    desc_bg = "#d9904a";

AUTHORS
pinentry-dmenu is a fork of dmenu <https://tools.suckless.org/dmenu> and uses the api of pinentry , a GnuPG tool. pinentry-dmenu itself was written by Moritz Lüdecke <ritze@skweez.net>.

REPORTING BUGS
Report pinentry-dmenu bugs to <https://github.com/ritze/pinentry-dmenu>

SEE ALSO
dmenu(1), dwm(1), gpg-agent(1)